Subject: Re: problems installing perl-5.6.1-2
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 29 Aug 2001 20:43:43 +0200

> [email-masked] schrieb am 2001-08-29 10:17:

>When I attempt to update perl via cygwin's setup.exe,
>I get a series of dialog boxes like "unable to write to file
>d:/cygwin/lib/perl5/5.6.1/Getopt/Long.pm". There are several of these under
>/lib/perl5, and also some under /bin, like /bin/pod2man, etc.
>
>I then used setup.exe to uninstall perl, and tried the install again. I still
>get these messages. Closer investigation shows that uninstall does not delete
>perl stuff in /bin/ and in /lib/perl5  -- should it?

Yes it should.

>relevant portion of setup.log is as follows:
[...]
>
>
>I will try the obvious - uninstall perl via setup.exe, manually delete the
>things it leaves behind, and then run install.

After makeing a backup (if you need it as archive), you may delete
the whole /lib/perl5 tree and the binaries as well.

>Any ideas as to why this is happening?

Sorry, no. If there are some modules left from previous installations,
they won't be clobbered. 

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/